local assets =
{
    Asset("ANIM", "anim/goldenrazor.zip"),
	Asset("ATLAS", "inventoryimages/goldenrazor.xml"),
    Asset("IMAGE", "inventoryimages/goldenrazor.tex"),
}

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("goldenrazor")
    inst.AnimState:SetBuild("goldenrazor")
    inst.AnimState:PlayAnimation("idle")

    inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end

    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "inventoryimages/goldenrazor.xml"
    inst:AddComponent("shaver")

    MakeHauntableLaunch(inst)

    return inst
end

return Prefab("goldenrazor", fn, assets)
